Page MenuHome

Issue on reusing child of constraint.
Closed, ArchivedPublic

Description

System Information
Operating system: Windows-10-10.0.19041-SP0 64 Bits
Graphics card: GeForce GTX 1080/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 457.30

Blender Version
Broken: version: 2.91.0, branch: master, commit date: 2020-11-25 08:34, hash: rB0f45cab862b8
Worked: (newest version of Blender that worked as expected)

Short description of error
Issue of using Child of constraint multiple times.

Exact steps for others to reproduce the error
[Please describe the exact steps needed to reproduce the issue]
[Based on the default startup or an attached .blend file (as simple as possible)]

1- Create a simple armature [like a simple 2 hand armature]
2- Create another armature like a weapon [with mag attached to magBone]
3- Create child constraint on weapon's root bone and attach it to the right hand
4 -Create child constraint on the magazine and attach it to the Left hand
5- Use the left-hand constraint for a few frames and then set Constraint influence to zero for the other few frames.
6- Now change the hand pose and try to use the left-hand 'Child of Constraint' by setting influence to 1. [for better demonstration animate the hand during all of the processes like the hand is trying to pick it in another pose]
7- WOOHALA The binding is working but it has a strange Location Rotation offset.

I know, I know, I used the Set Inverse and I Set it once. because using it multiple times is messing everything up.
It Would be great if you are telling me that am I doing it wrong or it is a discovered bug.

Thank you

Event Timeline

Robert Guetzkow (rjg) changed the task status from Needs Triage to Needs Information from User.Jan 1 2021, 11:37 AM

Thank you for your report! Could you please also provide a minimal example project file that demonstrates the issue, just in case we cannot reproduce the problem with the provided instructions.

Robert Guetzkow (rjg) closed this task as Archived.Jan 9 2021, 2:31 PM

No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed.

Thanks again for the report. If the problem persists please open a new report with the required information.